Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 245681 - Please stabilise net-proxy/squid-3.0.13
Summary: Please stabilise net-proxy/squid-3.0.13
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Network Proxy Developers (OBSOLETE)
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-11-05 17:14 UTC by Christian Faulhammer (RETIRED)
Modified: 2009-04-25 18:09 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Faulhammer (RETIRED) gentoo-dev 2008-11-05 17:14:47 UTC
This is for GCC 4.3 stabilisation.  Please add arches as you see fit. Thanks.
Comment 1 Alin Năstac (RETIRED) gentoo-dev 2008-12-14 14:06:45 UTC
I will add arches if future version 3.0.11 proves stable. As of now, version 3.0.10-r1 is not ready for stable keywords.
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-27 22:56:09 UTC
(In reply to comment #1)
> I will add arches if future version 3.0.11 proves stable. As of now, version
> 3.0.10-r1 is not ready for stable keywords.
> 

how is it now?
Comment 3 martin holzer 2009-02-06 11:55:47 UTC
3.0.13 needed cause of security bugs
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2009-02-06 14:41:37 UTC
(In reply to comment #3)
> 3.0.13 needed cause of security bugs

 Changed summary...mrness, will this be stabilised in the security bug 257585 or will you patch the 2.x series?
Comment 5 Alin Năstac (RETIRED) gentoo-dev 2009-02-16 23:41:26 UTC
I've fixed it (In reply to comment #4)
>  Changed summary...mrness, will this be stabilised in the security bug 257585
> or will you patch the 2.x series?

No need to patch, upstream released version 2.7.6.

squid-3 still is not ready for stable keywords. I would like to see at least 2 months without any issues before I will CC arch teams to this bug.
Comment 6 Ernie Rojas 2009-03-25 16:09:17 UTC
What are the common stabilization problems with squid 3.x ?

 
(In reply to comment #5)
> I've fixed it (In reply to comment #4)
> >  Changed summary...mrness, will this be stabilised in the security bug 257585
> > or will you patch the 2.x series?
> 
> No need to patch, upstream released version 2.7.6.
> 
> squid-3 still is not ready for stable keywords. I would like to see at least 2
> months without any issues before I will CC arch teams to this bug.
> 

(In reply to comment #5)
> I've fixed it (In reply to comment #4)
> >  Changed summary...mrness, will this be stabilised in the security bug 257585
> > or will you patch the 2.x series?
> 
> No need to patch, upstream released version 2.7.6.
> 
> squid-3 still is not ready for stable keywords. I would like to see at least 2
> months without any issues before I will CC arch teams to this bug.
> 

Comment 7 Alin Năstac (RETIRED) gentoo-dev 2009-03-25 20:59:05 UTC
The version 3 is not just a major number increment, squid got rewritten from scratch (squid-2 is a C program while squid-3 is written in C++).

As I said, I want to see 2 full months of silence (no new security issues, no recalled releases, etc) before I'll CC arch teams.
Comment 8 Alin Năstac (RETIRED) gentoo-dev 2009-04-06 23:15:50 UTC
Arch teams, please stabilize net-proxy/squid-3.0.13.
Comment 9 Tobias Klausmann gentoo-dev 2009-04-07 17:11:17 UTC
Stable on alpha.
Comment 10 nixnut (RETIRED) gentoo-dev 2009-04-11 16:06:12 UTC
ppc stable
Comment 11 Brent Baude (RETIRED) gentoo-dev 2009-04-12 18:18:02 UTC
ppc64 stable
Comment 12 Markus Meier gentoo-dev 2009-04-15 20:08:01 UTC
amd64/x86 stable
Comment 13 Jeroen Roovers gentoo-dev 2009-04-22 16:28:12 UTC
Stable for HPPA.
Comment 14 Raúl Porcel (RETIRED) gentoo-dev 2009-04-25 18:09:14 UTC
ia64/sparc stable, closing